"""

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

import xbmc, xbmcgui, xbmcplugin, xbmcaddon, xbmcvfs
import os, re, sys, string, json, random, base64
import shutil
import urllib
import time

try:
    # Python 3
    from urllib.request import urlopen, Request
except ImportError:
    # Python 2
    from urllib2 import urlopen, Request

try:
    # Python 3
    from html.parser import HTMLParser
except ImportError:
    # Python 2
    from HTMLParser import HTMLParser

from resources.lib.modules.common import *

plugin_handle = int(sys.argv[1])
mysettings = xbmcaddon.Addon(id = 'plugin.video.wrestlers')
home = mysettings.getAddonInfo('path')

USER_AGENT = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3'

mediapath = 'http://j1wizard.net/media/'
art = 'special://home/addons/script.j1.artwork/lib/resources/art/'
eventsUrl = 'http://j1wizard.net/config/texts/wrestleArchives.txt'

try:
    fanart2 = xbmcvfs.translatePath(os.path.join(home, 'fanart2.jpg'))
    fanart3 = xbmcvfs.translatePath(os.path.join(home, 'fanart3.jpg'))
except:
    fanart2 = xbmc.translatePath(os.path.join(home, 'fanart2.jpg'))
    fanart3 = xbmc.translatePath(os.path.join(home, 'fanart3.jpg'))

ytImageMAX = 'https://i.ytimg.com/vi/URL/maxresdefault.jpg'
ytImageHQ = 'https://i.ytimg.com/vi/URL/hqdefault.jpg'

#==========================================================================================================

class Listing:

    @staticmethod
    def Genres(type,list):

        #errorMsg="%s" % (type)
        #xbmcgui.Dialog().ok("type", errorMsg)

        if list is "Archives": eventsUrl = 'http://j1wizard.net/config/texts/wrestleArchives.txt'
        if list is "Genre": eventsUrl = 'http://j1wizard.net/config/texts/wrestlingGenres.txt'
        if list is "News": eventsUrl = 'http://j1wizard.net/config/texts/news.txt'
        if list is "Matches": eventsUrl = 'http://j1wizard.net/config/texts/wrestleMatches.txt'
        if list is "Docs": eventsUrl = 'http://j1wizard.net/config/texts/docs.txt'
        if list is "Events": eventsUrl = 'http://j1wizard.net/config/texts/events.txt'

        try: #Python 2
            link = OPEN_URL(eventsUrl).replace('\n','').replace('\r','').replace('\t','')
            #match = re.compile('item="(.+?)", "(.+?)", 801, "(.+?)", icon, fanart').findall(link)
        except: #Python 3
            link = OPEN_URL(eventsUrl)
            link = link.decode('ISO-8859-1')  # encoding may vary!

#==========================================================

        if list is "Events":
          try:
            match = re.compile('item="(.+?)", "(.+?)", 801, "(.+?)"').findall(link)
          except:
            errorMsg="%s" % (" ERROR")
            xbmcgui.Dialog().ok("match", errorMsg)

          #errorMsg="%s" % (match)
          #xbmcgui.Dialog().ok("match", errorMsg)

          if match:
            for name, url, genre in match:
                thePoster='https://i.ytimg.com/vi/'+url+'/hqdefault.jpg'
                icon=art+genre.lower()
                icon=icon+".jpg"
                addLinkYT(name,url,801,icon,fanart3,thePoster)

#==========================================================

        if list is "Docs":
          try:
            match = re.compile('item="(.+?)", "(.+?)", 801, "(.+?)", "(.+?)", fanart').findall(link)
          except:
            errorMsg="%s" % (" ERROR")
            xbmcgui.Dialog().ok("match", errorMsg)

          #errorMsg="%s" % (match)
          #xbmcgui.Dialog().ok("match", errorMsg)

          if match:
            for name, url, genre, theIcon in match:

                thePoster='https://i.ytimg.com/vi/'+url+'/hqdefault.jpg'

                icon=art+"episodes.jpg"
                addLinkYT(name,url,801,icon,fanart3,thePoster)

#==========================================================

        if list is "Genre":
		
          match = re.compile('item="(.+?)", "(.+?)", 801, "(.+?)", icon, fanart').findall(link)

          #errorMsg="%s" % (match)
          #xbmcgui.Dialog().ok("match", errorMsg)

          if match:
            for name, url, genre in match:

                thePoster='https://i.ytimg.com/vi/'+url+'/hqdefault.jpg'

                if type in genre.lower():			
                    icon=art+type
                    icon=icon+".jpg"
                elif type is "All":			
                    icon=art+genre.lower()
                    icon=icon+".jpg"
                else:			
                    icon=art+"misc2.jpg"

                if type is "All":
                    #addLinkYT(name,url,801,icon,fanart,thePoster)
                    addLinkYT(name,url,801,icon,fanart3,thePoster)
                if type is not "All":
                    if type in genre.lower():				
                        #addLinkYT(name,url,801,icon,fanart,thePoster)
                        addLinkYT(name,url,801,icon,fanart3,thePoster)

#==========================================================

        if list is not "Events" and list is not "Genre" and list is not "Docs":
          match = re.compile('item="(.+?)", "(.+?)", 801, "(.+?)", icon, fanart').findall(link)
		
          #errorMsg="%s" % (match)
          #xbmcgui.Dialog().ok("match", errorMsg)

          if match:
            for name, url, genre in match:

              thePoster='https://i.ytimg.com/vi/'+url+'/hqdefault.jpg'

              addIt=False
              if type is "All":
                if list is "Archives": icon=art+"women.jpg"
                if list is "News": icon=art+"nxt3.jpg"
                if list is "Matches": icon=art+"events.jpg"
                addIt=True

              elif type is "1pw" and '1PW' in genre:
                icon=art+"1pw.jpg"
                addIt=True

              elif type is "aaw" and 'AAW' in genre:
                icon=art+"aaw.jpg"
                addIt=True

              elif type is "aew" and 'AEW' in genre:
                icon=art+"aew.jpg"
                addIt=True

              elif type is "amw" and 'AMW' in genre:
                icon=art+"amw.jpg"
                addIt=True

              elif type is "awl" and 'AWL' in genre:
                icon=art+"awl.jpg"
                addIt=True
				
              elif type is "bodyslam" and 'BODYSLAM' in genre:
                icon=art+"bodyslam.jpg"
                addIt=True

              elif type is "bwf" and 'BRONX' in genre:
                icon=art+"bwf.jpg"
                addIt=True
				
              elif type is "capitol" and 'CAPITOL' in genre:
                icon=art+"capitol.jpg"
                addIt=True

              elif type is "ccw" and 'CCW' in genre:
                icon=art+"cascade.jpg"
                addIt=True

              elif type is "defiant" and 'DEFIANT' in genre:
                icon=art+"defiant.jpg"
                addIt=True

              elif type is "DEV" and 'DEV' in genre:
                icon=art+"dev.jpg"
                addIt=True

              elif type is "DPW" and 'DPW' in genre:
                icon=art+"dpw.jpg"
                addIt=True

              elif type is "champ" and 'CHAMP' in genre:
                icon=art+"champ.jpg"
                addIt=True

              elif type is "evolve" and 'EVOLVE' in genre:
                icon=art+"evolve.jpg"
                addIt=True

              elif type is "ewf" and 'EMPIRE' in genre:
                icon=art+"ewf.jpg"
                addIt=True

              elif type is "gcw" and 'GCW' in genre:
                icon=art+"gcw.jpg"
                addIt=True

              elif type is "glorypro" and 'GLORY' in genre:
                icon=art+"glorypro.jpg"
                addIt=True

              elif type is "hob" and 'HOB' in genre:
                icon=art+"hob.jpg"
                addIt=True

              elif type is "hog" and 'HOG' in genre:
                icon=art+"hog.jpg"
                addIt=True

              elif type is "hop" and 'HOP' in genre:
                icon=art+"hop.jpg"
                addIt=True

              elif type is "ihw" and 'IHW' in genre:
                icon=art+"ihw.jpg"
                addIt=True

              elif type is "ipw" and 'IPW' in genre:
                icon=art+"ipw.jpg"
                addIt=True

              elif type is "lucha" and 'LUCHA' in genre:
                icon=art+"lucha.jpg"
                addIt=True

              elif type is "maslucha" and 'MASLUCHA' in genre:
                icon=art+"maslucha.jpg"
                addIt=True

              elif type is "midget" and 'MIDGET' in genre:
                icon=art+"midget.jpg"
                addIt=True

              elif type is "mlw" and 'MLW' in genre:
                icon=art+"mlw.jpg"
                addIt=True

              elif type is "misc" and 'MISC' in genre:
                icon=art+"misc.jpg"
                addIt=True

              elif type is "new" and 'NEW' in genre:
                icon=art+"new.jpg"
                addIt=True

              elif type is "nwa" and 'NWA' in genre:
                icon=art+"nwa.jpg"
                addIt=True

              elif type is "ovw" and 'OVW' in genre:
                icon=art+"ovw.jpg"
                addIt=True

              elif type is "pcw" and 'PCW' in genre:
                icon=art+"pcw.jpg"
                addIt=True

              elif type is "purepower" and 'PPW' in genre:
                icon=art+"purepower.jpg"
                addIt=True

              elif type is "prosouth" and 'PROSOUTH' in genre:
                icon=art+"prosouth.jpg"
                addIt=True

              elif type is "pwa" and 'PWA' in genre:
                icon=art+"pwa.jpg"
                addIt=True

              elif type is "pwl" and 'PWL' in genre:
                icon=art+"pwl.jpg"
                addIt=True

              elif type is "progress" and 'PROGRESS' in genre:
                icon=art+"progress.jpg"
                addIt=True

              elif type is "rise" and 'RISE' in genre:
                icon=art+"rise.jpg"
                addIt=True

              elif type is "respect" and 'RESPECT' in genre:
                icon=art+"respect.jpg"
                addIt=True

              elif type is "real" and 'REAL' in genre:
                icon=art+"real.jpg"
                addIt=True

              elif type is "riot" and 'RIOT' in genre:
                icon=art+"riot.jpg"
                addIt=True
				
              elif type is "roh" and 'ROH' in genre:
                icon=art+"roh.jpg"
                addIt=True

              elif type is "rmp" and 'RMP' in genre:
                icon=art+"rmp.jpg"
                addIt=True

              elif type is "row" and 'ROW' in genre:
                icon=art+"row.jpg"
                addIt=True

              elif type is "rubber" and 'RUBBER' in genre:
                icon=art+"rubber.jpg"
                addIt=True

              elif type is "swe" and 'SWE' in genre:
                icon=art+"swe.jpg"
                addIt=True

              elif type is "smash" and 'SMASH' in genre:
                icon=art+"smash.jpg"
                addIt=True

              elif type is "tmn" and 'TMN' in genre:
                icon=art+"tmn.jpg"
                addIt=True

              elif type is "tna" and 'TNA' in genre:
                icon=art+"impact.jpg"
                addIt=True

              elif type is "ukw" and 'UKW' in genre:
                icon=art+"ukw.jpg"
                addIt=True

              elif type is "usacw" and 'USACW' in genre:
                icon=art+"usacw.jpg"
                addIt=True

              elif type is "victory" and 'VICTORY' in genre:
                icon=art+"victory.jpg"
                addIt=True

              elif type is "warrior" and 'WARRIOR' in genre:
                icon=art+"warrior.jpg"
                addIt=True

              elif type is "wlw" and 'WLW' in genre:
                icon=art+"wlw.jpg"
                addIt=True

              elif type is "women" and 'WOMEN' in genre:
                icon=art+"wow.jpg"
                addIt=True

              elif type is "wwa" and 'WWA' in genre:
                icon=art+"wwa.jpg"
                addIt=True

              elif type is "wwe" and 'WWE' in genre:
                icon=art+"wwe.jpg"
                addIt=True

              elif type is "waw" and 'WAW' in genre:
                icon=art+"waw.jpg"
                addIt=True

              elif type is "wwn" and 'WWN' in genre:
                icon=art+"wwn.jpg"
                addIt=True
		
              if addIt==True:
                addLinkYT(name,url,801,icon,fanart3,thePoster)

#=====================================
  
def OPEN_URL(url):

    try: #Python 2
        req = Request(url)
        req.add_header('User-Agent', USER_AGENT)
        response = urlopen(req)
        link=response.read()
        response.close()
        return link
    except: #Python 3
        req = urllib.request.Request(url)
        req.add_header('User-Agent', USER_AGENT)
        response = urllib.request.urlopen(req)
        link=response.read()
        response.close()
        return link
	
#=====================================

def urlExists(url):

    request = Request(url)
    request.get_method = lambda: 'HEAD'

    try:
        urlopen(request)
        return True
    except HTTPError:
        return False
	
#=====================================
